/* vim: ts=2 sw=2 expandtab cindent
 *
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

/**
 * flockIMyworldService is the interface that the flock myworld service exposes to
 * allow the rest of the browser and extensions to interact with flickr feeds.
 */
[scriptable, uuid(ee12adc6-6d53-695f-dabb-93fcd6716ccc)]
interface flockIMyworldService : nsISupports {

  void queueResource(in wstring aKey);

  void clearQueue();
  
  wstring checkCache(in wstring aKey);

  AString getColumnLayout();
  void setColumnLayout(in AString aLayout);
};
